phrSetOutputFileOn {phreeqc} | R Documentation

## Set output file on/off.

### Description

Sets the output file switch on or off. This switch controls whether or not phreeqc writes to the output file. This is the output normally generated when phreeqc is run. The initial setting is off.

### Usage

    phrSetOutputFileOn(value)

### Arguments

`value` | if TRUE, writes output to the the output file.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Output: `phrGetOutputFileName`, `phrGetOutputFileOn`, `phrGetOutputStringsOn`, `phrGetOutputStrings`, `phrSetOutputFileName`, `phrSetOutputStringsOn`

### Examples

    # This example runs ex2 with the output file turned on.

    # write temporary input file
    tf <- tempfile()
    writeLines(ex2, tf)

    # load database and run input file
    phrLoadDatabaseString(phreeqc.dat)
    phrSetOutputFileOn(TRUE)
    if (is.null(phrRunFile(tf))) {
      cat("see", phrGetOutputFileName(), "\n")
    }

    # delete temporary input file
    unlink(tf)

[Package phreeqc version 3.4.10 Index]